<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
/**
 * Adds admin settings for the plugin.
 *
 * @package     format_iena
 * @copyright   2018 Softia/Université lorraine
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

if ($hassiteconfig) {
    $settings->add(new admin_setting_confightmleditor('format_iena/msg_dist', get_string('message_dist', 'format_iena'),
    get_string('message_dist_desc', 'format_iena'), get_string('message_default_dist', 'format_iena'), PARAM_RAW));
    $settings->add(new admin_setting_confightmleditor('format_iena/msg_pres', get_string('message_pres', 'format_iena'),
    get_string('message_pres_desc', 'format_iena'), get_string('message_default_pres', 'format_iena'), PARAM_RAW));
}